import java.awt.BorderLayout;
import java.awt.Container;
import java.awt.Color;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;

import javax.swing.JDialog;
import javax.swing.JFrame;
import javax.swing.JMenu;
import javax.swing.JMenuBar;
import javax.swing.JMenuItem;
import javax.swing.JTextArea;
import javax.swing.JScrollPane;
/*****************************************************************************
 * @author Lim Long Hei Roy
 * @Finished by Renpi Yu
 *
 * To change this generated comment edit the template variable "typecomment":
 * Window>Preferences>Java>Templates.
 * To enable and disable the creation of type comments go to
 * Window>Preferences>Java>Code Generation.
 *****************************************************************************/
public class MainWindow extends JFrame implements ActionListener {
	
	private JMenuBar mBar;
	private JFrame mainFrame;
	private JFrame consoleFrame;
	private JMenu[] mainMenu = new JMenu[10];
	private JMenuItem[][] menuItem = new JMenuItem[10][10];
	public  static JTextArea tArea;
        private JScrollPane scroller;
	private BmacWindow BMac;

	public static void main(String[] args) {
		MainWindow main = new MainWindow();
	}
	
	public MainWindow() {
                //create mainFrame window
		mainFrame = new JFrame("MCAST Main Window");
                mBar = new JMenuBar();
		mainMenu[0] = new JMenu("Tools");
		menuItem[0][0] = new JMenuItem("BMAC");
		menuItem[0][1] = new JMenuItem("COSMOS Simulator");
		menuItem[0][2] = new JMenuItem("Console");
		mainMenu[0].add(menuItem[0][0]);
		mainMenu[0].add(menuItem[0][1]);
		mainMenu[0].add(menuItem[0][2]);
		mBar.add(mainMenu[0]);
                Container cp = mainFrame.getContentPane();
		cp.setLayout(new BorderLayout());
		cp.add(mBar,BorderLayout.NORTH);
		mainFrame.setSize(300,100);
		mainFrame.setVisible(true);
		mainFrame.setLocation(10,600);
                // cp.setBackground(Color.white);
                
                //create console window
                consoleFrame = new JFrame("Console");
		tArea = new JTextArea();
                scroller = new JScrollPane();
		Container consolePane = consoleFrame.getContentPane();
		//consolePane.add(tArea, BorderLayout.CENTER);
                consolePane.add(scroller, BorderLayout.CENTER);
                scroller.getViewport().add(tArea);
		consoleFrame.setSize(600,150);
		consoleFrame.setVisible(true);
		consoleFrame.setLocation(400,600);
            
                //tArea.append("Welcome to MCAST...\n");

                //add actionlistener
		menuItem[0][0].addActionListener(this);
		menuItem[0][1].addActionListener(this);
		menuItem[0][2].addActionListener(this);


		mainFrame.addWindowListener(new WindowAdapter() {
			public void windowClosing(WindowEvent e) {
				//JDialog jDia = new JDialog();
				
				System.exit(0);
			}
		});

	}
	
	public void actionPerformed(ActionEvent e) {
		JMenuItem whichButton = (JMenuItem)e.getSource();
		if (whichButton.getText().equals("BMAC")) {
                        BMac = new BmacWindow();
                    tArea.append("Starting BMAC... ok!\n");
		} if (whichButton.getText().equals("Console")) {
			consoleFrame.setVisible(true);
                    tArea.append("Opening console... ok!\n");
		} if (whichButton.getText().equals("COSMOS Simulator")) {
			TestClass com = new TestClass();
		    tArea.append("Starting COSMOS simulator... ok!\n");
		}
	}

}
