/**********
Copyright 1990 Regents of the University of California.  All rights reserved.
**********/
#ifdef DEV_opamp

#ifndef DEV_OPAMP
#define DEV_OPAMP

#include "opampext.h"
extern IFparm OPAMPpTable[ ];
extern char *OPAMPnames[ ];
extern int OPAMPpTSize;
extern int OPAMPnSize;
extern int OPAMPiSize;
extern int OPAMPmSize;

SPICEdev OPAMPinfo = {
    {
        "Opamp",
        "opamp",

        &OPAMPnSize,
        &OPAMPnSize,
        OPAMPnames,

        &OPAMPpTSize,
        OPAMPpTable,

        0,
        NULL,
	DEV_DEFAULT
    },

    OPAMPparam,
    NULL,
    OPAMPload,
    OPAMPsetup,
    OPAMPunsetup,
    OPAMPsetup,
    NULL,
    NULL,
    /* OPAMPfindBr, */
    NULL,
    OPAMPload,   /* AC and normal loads are identical */
    NULL,
    OPAMPdestroy,
#ifdef DELETES
    OPAMPmDelete,
    OPAMPdelete,
#else /* DELETES */
    NULL,
    NULL,
#endif /* DELETES */
    NULL,
    OPAMPask,
    NULL,
#ifdef AN_pz
    NULL,
#else /* AN_pz */
    NULL,
#endif /* AN_pz */
    NULL,
#ifdef AN_sense2
    NULL,
    NULL,
    NULL,
    NULL,
    NULL,
    NULL,
#else /* AN_sense2 */
    NULL,
    NULL,
    NULL,
    NULL,
    NULL,
    NULL,
#endif /* AN_sense2 */
    NULL,	/* DISTO */
    NULL,	/* NOISE */

    &OPAMPiSize,
    &OPAMPmSize

};


#endif
#endif
